[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# EncodeDateMonthWeek

Encodes a year, month, week of month and day of week to a TDateTime value

## Declaration

Source position: dateutil.inc line 343

`function EncodeDateMonthWeek(`
`const AYear: Word;`
`const AMonth: Word;`
`const AWeekOfMonth: Word;`
`const ADayOfWeek: Word`
`):TDateTime;`

## Arguments

`AYear` |  | Year part
`AMonth` |  | Month part
`AWeekOfMonth` |  | Week of the month part
`ADayOfWeek` |  | Day of the week part

## Function result

TDateTime value representing the date specified by AYear, AMonth, AWeekOfMonth and ADayOfWeek.

## Description

EncodeDateTime encodes the values AYear AMonth, WeekOfMonth,ADayOfWeek, to a date value and returns this value.

For an example, see DecodeDateMonthWeek.

## Errors

If any of the arguments is not valid, then an EConvertError exception is raised.

## See also

DecodeDateMonthWeek |  | Decode a TDateTime value in a month, week of month and day of week
EncodeDateTime |  | Encodes a TDateTime value from all its parts
EncodeDateWeek |  | Encode a TDateTime value from a year, week and day of week triplet
EncodeDateDay |  | Encodes a year and day of year to a TDateTime value
TryEncodeDateTime |  | Encode a Year, Month, Day, Hour, minute, seconds, milliseconds tuplet to a TDateTime value
TryEncodeDateWeek |  | Encode a year, week and day of week triplet to a TDateTime value
TryEncodeDateMonthWeek |  | Encode a year, month, week of month and day of week to a TDateTime value
TryEncodeDateDay |  | Encode a year and day of year to a TDateTime value
NthDayOfWeek |  | Calculate which occurrence of weekday in the month a given day represents